Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Interface ConfigurableCacheFactory

All Superinterfaces:
  XmlConfigurable

All Known Implementing Classes:
  DefaultConfigurableCacheFactory

      public interface ConfigurableCacheFactory

extends XmlConfigurable

An interface for XML driven cache factory.

Since:
  Coherence 2.2
Author:
  gg 2003.05.26, jh 2006.06.28
See Also:
  `DefaultConfigurableCacheFactory`

Method Summary
`void` | `destroyCache(NamedCache cache)` Release and destroy this instance of NamedCache.
`NamedCache` | `ensureCache(String sCacheName, ClassLoader loader)` Ensure a cache for the given name using the corresponding XML configuration.
`Service` | `ensureService(String sServiceName)` Ensure a service for the given name using the corresponding XML configuration.
`XmlElement` | `getConfig()` Obtain the factory configuration XML.
`void` | `releaseCache(NamedCache cache)` Release a cache and its associated resources.
`void` | `setConfig(XmlElement xmlConfig)` Specify the factory configuration XML.

Method Detail

### getConfig

    XmlElement getConfig()

  Obtain the factory configuration XML.
  Specified by:
    `getConfig` in interface `XmlConfigurable`
  Returns:
    the configuration XML

### setConfig

    void setConfig(XmlElement xmlConfig)

  Specify the factory configuration XML.
  Specified by:
    `setConfig` in interface `XmlConfigurable`
  Parameters:
    `xmlConfig` - the configuration XML

### ensureCache

    NamedCache ensureCache(String sCacheName,
                           ClassLoader loader)

  Ensure a cache for the given name using the corresponding XML configuration.
  Parameters:
    `sCacheName` - the cache name
    `loader` - ClassLoader that should be used to deserialize objects in the cache
  Returns:
    a NamedCache created according to the configuration XML

### releaseCache

    void releaseCache(NamedCache cache)

  Release a cache and its associated resources.

  Releasing a cache makes it no longer usable, but does not affect the cache itself. In other words, all other references to the cache will still be valid, and the cache data is not affected by releasing the reference. Any attempt to use the released cache reference afterword will result in an exception.

  Parameters:
    `cache` - the cache to release
  Since:
    Coherence 3.5.1

### destroyCache

    void destroyCache(NamedCache cache)

  Release and destroy this instance of NamedCache.

  Warning: This method is used to completely destroy the specified cache across the cluster. All references in the entire cluster to this cache will be invalidated, the cached data will be cleared, and all internal and associated resources will be released.

  Parameters:
    `cache` - the cache to release
  Since:
    Coherence 3.5.1

### ensureService

    Service ensureService(String sServiceName)

  Ensure a service for the given name using the corresponding XML configuration.
  Parameters:
    `sServiceName` - the service name
  Returns:
    a Service created according to the configuration XML

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.